Bug 1295085 - [abrt] simple-scan: esci_request_status(): simple-scan killed by SIGSEGV
[abrt] simple-scan: esci_request_status(): simple-scan killed by SIGSEGV
Status: CLOSED DUPLICATE of bug 1429220
Product: Fedora
Classification: Fedora
Component: simple-scan (Show other bugs)
23
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: David King
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:a96e7cb671f761828f64ce1fb9e...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-01-01 19:52 EST by sheepdestroyer
Modified: 2017-03-05 13:08 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-07-07 05:18:26 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (41.48 KB, text/plain)
2016-01-01 19:52 EST, sheepdestroyer
no flags Details
File: cgroup (190 bytes, text/plain)
2016-01-01 19:52 EST, sheepdestroyer
no flags Details
File: core_backtrace (14.97 KB, text/plain)
2016-01-01 19:52 EST, sheepdestroyer
no flags Details
File: dso_list (22.18 KB, text/plain)
2016-01-01 19:52 EST, sheepdestroyer
no flags Details
File: environ (1.87 KB, text/plain)
2016-01-01 19:52 EST, sheepdestroyer
no flags Details
File: exploitable (82 bytes, text/plain)
2016-01-01 19:52 EST, sheepdestroyer
no flags Details
File: limits (1.29 KB, text/plain)
2016-01-01 19:52 EST, sheepdestroyer
no flags Details
File: maps (102.03 KB, text/plain)
2016-01-01 19:52 EST, sheepdestroyer
no flags Details
File: mountinfo (3.24 KB, text/plain)
2016-01-01 19:52 EST, sheepdestroyer
no flags Details
File: namespaces (85 bytes, text/plain)
2016-01-01 19:52 EST, sheepdestroyer
no flags Details
File: open_fds (2.59 KB, text/plain)
2016-01-01 19:52 EST, sheepdestroyer
no flags Details
File: proc_pid_status (1016 bytes, text/plain)
2016-01-01 19:52 EST, sheepdestroyer
no flags Details
File: var_log_messages (28 bytes, text/plain)
2016-01-01 19:52 EST, sheepdestroyer
no flags Details

  None (edit)
Description sheepdestroyer 2016-01-01 19:52:15 EST
Version-Release number of selected component:
simple-scan-3.18.2-1.fc23

Additional info:
reporter:       libreport-2.6.3
backtrace_rating: 4
cmdline:        simple-scan
crash_function: esci_request_status
executable:     /usr/bin/simple-scan
global_pid:     12749
kernel:         4.2.7-300.fc23.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (9 frames)
 #0 esci_request_status at epson2-commands.c:389
 #1 close_scanner at epson2.c:368
 #2 sane_dll_close at dll.c:1223
 #3 sane_close at dll-s.c:78
 #4 scanner_close_device at /home/bob/bzr/simple-scan/3.18/src/scanner.vala:766
 #5 scanner_handle_requests at /home/bob/bzr/simple-scan/3.18/src/scanner.vala:816
 #6 scanner_scan_thread at /home/bob/bzr/simple-scan/3.18/src/scanner.vala:1460
 #7 _scanner_scan_thread_gthread_func at scanner.c:12389
 #8 g_thread_proxy at gthread.c:778
Comment 1 sheepdestroyer 2016-01-01 19:52:21 EST
Created attachment 1110952 [details]
File: backtrace
Comment 2 sheepdestroyer 2016-01-01 19:52:23 EST
Created attachment 1110953 [details]
File: cgroup
Comment 3 sheepdestroyer 2016-01-01 19:52:24 EST
Created attachment 1110954 [details]
File: core_backtrace
Comment 4 sheepdestroyer 2016-01-01 19:52:26 EST
Created attachment 1110955 [details]
File: dso_list
Comment 5 sheepdestroyer 2016-01-01 19:52:27 EST
Created attachment 1110956 [details]
File: environ
Comment 6 sheepdestroyer 2016-01-01 19:52:29 EST
Created attachment 1110957 [details]
File: exploitable
Comment 7 sheepdestroyer 2016-01-01 19:52:30 EST
Created attachment 1110958 [details]
File: limits
Comment 8 sheepdestroyer 2016-01-01 19:52:32 EST
Created attachment 1110959 [details]
File: maps
Comment 9 sheepdestroyer 2016-01-01 19:52:33 EST
Created attachment 1110960 [details]
File: mountinfo
Comment 10 sheepdestroyer 2016-01-01 19:52:34 EST
Created attachment 1110961 [details]
File: namespaces
Comment 11 sheepdestroyer 2016-01-01 19:52:35 EST
Created attachment 1110962 [details]
File: open_fds
Comment 12 sheepdestroyer 2016-01-01 19:52:37 EST
Created attachment 1110963 [details]
File: proc_pid_status
Comment 13 sheepdestroyer 2016-01-01 19:52:38 EST
Created attachment 1110964 [details]
File: var_log_messages
Comment 14 Igor Gnatenko 2016-07-07 05:18:26 EDT
This is old bug, if you still can reproduce it - please reopen.
Comment 15 Raphael Groner 2017-03-05 13:08:57 EST
Rehappened in Fedora 25.

*** This bug has been marked as a duplicate of bug 1429220 ***

Note You need to log in before you can comment on or make changes to this bug.